Package org.apache.sysds.runtime.instructions.spark.utils

# Class RDDSortUtils.IndexComparator

java.lang.Object
org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.IndexComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair>`

Enclosing class:
  RDDSortUtils

public static class RDDSortUtils.IndexComparator extends Object implements Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IndexComparator(boolean asc)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair o1, org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair o2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### IndexComparator

public IndexComparator(boolean asc)

## Method Details

### compare

public int compare(org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair o1, org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair o2)

Specified by:
  `compare` in interface `Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValueIndexPair>`